Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Interface StorageProxy.WritePerformer

Enclosing class:
  StorageProxy

    public static interface StorageProxy.WritePerformer

Method Summary
`void` | `apply(IMutation mutation, java.util.Collection<java.net.InetAddress> targets, IWriteResponseHandler responseHandler, java.lang.String localDataCenter, ConsistencyLevel consistency_level)`

Method Detail

### apply

    void apply(IMutation mutation,
               java.util.Collection<java.net.InetAddress> targets,
               IWriteResponseHandler responseHandler,
               java.lang.String localDataCenter,
               ConsistencyLevel consistency_level)
               throws java.io.IOException,
                      java.util.concurrent.TimeoutException

  Throws:
    `java.io.IOException`
    `java.util.concurrent.TimeoutException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation